<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * this is a part of mxSchedule 
 *
 * $Version 1.0 $
 * $Author: Olaf Herfurth / TerraProject  http://www.tecmu.de $
 * $Date: 2010/009/01 $
 *
 */


defined('mxMainFileLoaded') or die('access denied');

function goHomeIndex()
{
    global $module_name, $WSCFG;
    $img2="<img src='modules/" . $module_name . "/style/images/toolbar/bullet_arrow_up.png' alt='"._GOHOME."' title='"._GOHOME."'/>";
	echo "<p class='align-right'>[<a href='#home'>"._GOHOME."</a>]</p><br/>";
	WS_Copyright();
}


function ws_myEventDelete ($eid, $ok=0,$source="")
{
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG;
	
    if ($ok==1){
		//$source=(isset($_POST['source']))?$_POST['source']:$source;
		if ($source=="eventeditdelete") $source ="eventedit&amp;eid=$eid";
		if ($source=="myeventdelete") $source ="myevents";
    
		switch (toolbarCheckButton()) {
				case "delete":
					if ($ok==1)  {
					   ws_eventdelete_direct ($eid);
					   mxRedirect("modules.php?name=$module_name&amp;act=myevents");
					}
					break;
				case "cancel": 
					mxRedirect("modules.php?name=$module_name&amp;act=".$source);  //eventedit&amp;eid=$sid
					break;
		}
	}
		include('header.php');
		ws_addCss();
		ws_isHome();
		$img_top      = mxCreateImage("modules/" . $module_name . "/style/images/header/page_white_edit.png", "");
		title($img_top."  "._MYEVENTS." - "._DELETE);

		
		OpenTable();
		adminFormOpen("modules.php?name=$module_name&amp;act=".$source);
			OpenToolbar();
			    addToolbarDelete(false);
				addToolbarCancel();
			CloseToolbar();
		
			echo "<p class='warning'>"._EVENT_DELETE_ALERT_1."</p>";
			echo "<table class='inputtable'>";
			   $result=sql_query("select eid,title from ".TABLE_EVENTS." where eid=$eid");
			   list($seid,$title)=sql_fetch_array($result);
			   echo "<tr><td width=\"55\"></td>";
			   echo "<td width='20%'>$seid</td><td>$title</td></tr>";
			echo "</table><br /><br /><br />";
			echo "<p class='warning'>"._EVENT_DELETE_ALERT_2."</p>";
			
			echo "<center>";
			echo "<input type=\"hidden\" name=\"source\" value='$source' />";
			echo "<input type=\"hidden\" name=\"ok\" value='1' />";
			echo "<input type=\"hidden\" name=\"eid\" value='$eid' />";
			echo "</center><br /><br /><br /><br /><br /><br />";
			
		adminFormClose(false);
	
		CloseTable();
		OpenTable();	
		ws_goHomeBACK();
		
		CloseTable();
		include("footer.php");

	
}


function ws_isAdmin() {
  $user=getGetUser();
  if ($user['uid']!=NULL) {
       return (mxGetAdminPref('radmincalendar') or mxGetAdminPref('radminsuper'));
  }
  return false;
}
function ws_isSuperAdmin() {
  $user=getGetUser();
  if ($user['uid']!=NULL) {
       return mxGetAdminPref('radminsuper');
  }
  return false;
  
}

function ws_addNews ($eid) 
{
    global $prefix, $currentlang,  $bgcolor1, $bgcolor2, $bgcolor3 ,$module_name, $WSCFG;
	
	$result=sql_query("select uname, userid,title,text1,startdate, enddate from ".TABLE_EVENTS." where eid=$eid");
	list($uname,$userid,$title,$text1,$startdate,$enddate)=sql_fetch_row($result);
	
	//$user=getGetUser($userid);
	$xtitle=$title." ".ws_langDate($startdate)." - ".ws_langDate($enddate);
	$text1=mxCutString(strip_tags($text1),$WSCFG['SET_NEWS_LEN']);
	$text1.="<br /><br />";
	$text1.=_NEWS_COMMENT_1." <a href=\"modules.php?name=$module_name&amp;act=show&amp;eid=$eid\" >".$WSCFG['MODULETITLE']."</a> "._NEWS_COMMENT_2;
	
	$qry = sql_query("INSERT INTO ${prefix}_queue (uid, uname, subject, story, storyext, timestamp, topic) VALUES ('$userid', '".$uname."', '$xtitle', '$text1', '', '".time()."', 1)");

}



function ws_sendReminder() {

    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG;
    $i=0;
	
	// erstmal starttermine senden an ersteller
	
	$result1=sql_query("select eid from " . TABLE_EVENTS . " where startdate <".(time()+($WSCFG['SET_REMINDER'] * 86400))." and reminder=1 and reported < 2");
	while(list($eid)=sql_fetch_row($result1)) {
	   
	    ws_mail_reminderstart ($eid);   // und senden....
		sql_query("update " . TABLE_EVENTS . " set reported=2 where eid=$eid");  // und speichern
	   $i++;
	}   
		// dann starttermine senden an user

		$result2=sql_query("select eid from " . TABLE_EVENTS . " where startdate <".(time()+($WSCFG['SET_REMINDER'] * 86400))."");
	while (list($reid)=sql_fetch_row($result2)) {
		
		$result1=sql_query("select euid,eid,userid from " . TABLE_USER . " where reminder=1 and eid=$reid");
		while(list($euid,$eid,$userid)=sql_fetch_row($result1)) {
		   
			ws_mail_reminderstart ($eid,$userid);   // und senden....
			sql_query("update " . TABLE_USER . " set reminder=0 where euid=$euid");  // und speichern
		   
		   $i++;
		}
	   
	}
	
	// dann endtermine senden an ersteller
	
	$result1=sql_query("select eid from " . TABLE_EVENTS . " where startdate <> enddate and enddate <".(time()+($WSCFG['SET_REMINDER_PRE'] * 86400))." and reminder=1 and reported = 2 and startdate<'".time()."' ");
	while(list($eid)=sql_fetch_row($result1)) {
	   
	    ws_mail_reminderend ($eid);   // und senden....
		sql_query("update " . TABLE_EVENTS . " set reported=3 where eid=$eid");  // und speichern
	   
	   $i++;
	}

return $i;
}

// schreibt in DB Logtabelle
function ws_writelog ($text,$host,$aURL,$result)
{
    global $prefix, $WSCFG;
	
	  if ($WSCFG['CRONJOB_LOGFILE']==1) {
	    sql_query("insert ".TABLE_CRONJOB." set
			text='".mxAddSlashesForSQL($text)."',
			host='".mxAddSlashesForSQL($host)."',
			url='".mxAddSlashesForSQL($aURL)."',
			result='".mxAddSlashesForSQL($result)."'
			");
	   	ws_deletelog ();
		// sql_query("delete from ".TABLE_CRONJOB." date");
      }
    return;					 
}
// lscht DB-Logtabelle entsprechend Vorgaben
function ws_deletelog ()
{
    global $prefix, $WSCFG;
	    
        $deltime=abs($WSCFG['CRONJOB_TIME']);
		
		if ($deltime>0) sql_query("delete from " . TABLE_CRONJOB . " where date <'".date('Y-m-d',mktime(0,0,0,date("n")-$deltime , date("j") ,date("Y")))."'"); 

    return;					 
}


function ws_reminderdelete ($userid, $eid)
{
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG;
					 sql_query("delete from ".TABLE_USER." where userid=$userid and parentid=$eid and action=0 and reminder='1'");
}

function ws_joindelete ($userid, $eid)
{
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG;
					 sql_query("delete from ".TABLE_USER." where userid=$userid and parentid=$eid and action=0 and status='1'");
}

function ws_eventdelete_direct ($sid)
{
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG;
	
					 // erst Bilder lschen
					 $result=sql_query("select pictures from ".TABLE_EVENTS." where eid=$sid");
					 list($pic)=sql_fetch_array($result);
					 $picture=unserialize($pic);
					 if (is_array($picture)) {
					   foreach($picture as $key => $values) {
						   $etname=explode('.',$picture[$key]);
						   $tname=$etname[count($etname)-2]."-thumb.".strtolower($etname[count($etname)-1]);
						  if (is_file($picture[$key])) @unlink($picture[$key]);
						  if (is_file($tname)) @unlink($tname);
						  unset ($picture[$key]);
					   }
					  }
					 // dann Childevents lschen
					 sql_query("delete from ".TABLE_EVENTS." where parentid=$sid");
					 
					 // reminder und Teilnehmer lschen
					 
					 sql_query("delete from ".TABLE_USER." where parentid=$sid or eid=$sid");
					 
					 // actionen lschen
					 sql_query("delete from ".TABLE_ACTION." where parentid=$sid or eid=$sid");
					 
					 // jetzt erst den parent-Satz lschen				 
					 sql_query("delete from ".TABLE_EVENTS." where eid=$sid");
					 
}


function ws_loadOverlib()
{
 global $module_name;
        if (!defined("_Overlib_Div")) { // diese Konstante wird ab Mx2.2 automatisch definiert, wenn die Klasse vorhanden ist
            $folder = (@file_exists("includes/javascript/class.overlib.php")) ? "includes/javascript" : "modules".DS.$module_name.DS."overlib";
            define("_Overlib_Div", 2);
            include_once($folder . "/class.overlib.php");
            echo "<div id=\"overDiv\" style=\"position:absolute; visibility: hidden; z-index: 1000; background: transparent;\"></div>\n";
            echo "<script language=\"javascript\" src=\"" . $folder . "/overlib.js\" type=\"text/javascript\">\n</script>\n";
            echo "<script language=\"javascript\" src=\"" . $folder . "/overlib_hideform.js\" type=\"text/javascript\">\n</script>\n";
        } 
} 

function ws_ValueToText($tmp)
{
    $tmp = str_replace(chr(10), "", $tmp);
    $tmp = str_replace(chr(9), "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;", $tmp);
    $tmp = preg_replace("/</", "&lt;", $tmp);
    $tmp = preg_replace("/>/", "&gt;", $tmp);
    $tmp = preg_replace("/\"/", "&quot;", $tmp);
    $tmp = preg_replace("/\'/", "&quot;", $tmp);
    $tmp = preg_replace("/\&\#039;/", "&quot;", $tmp);
    $tmp = str_replace(chr(13), " ", $tmp);
    $tmp = nl2br($tmp);
    return $tmp;
} 

function ws_imgStatus($result) 
{
        global $prefix, $currentlang,$module_name, $CONT_CFG;
		
    switch ($result) {
	   case 1:
	     $img=mxCreateImage("modules/".$module_name."/style/images/action/page_edit.png",_YES);
	      break;
	   default:
	     $img=mxCreateImage("modules/".$module_name."/style/images/action/zoom.png",_NO);
	      break;
	}
	return $img;
}

function WS_SelectIgnoreTime($cLegend,$fieldname,$cText,$fpos) 
{
        global $prefix, $currentlang,$module_name, $WSCFG;
		$sel=array(1=>"",2=>"",3=>"",4=>"",5=>"",6=>"",7=>"",8=>"",9=>"",10=>"",0=>"");
		$sel[$fpos]=" selected=\"selected\"";
		$ausdruck = "<tr>";
		$ausdruck .= "<td class=\"inputz\">".$cLegend."</td>";
		$ausdruck .= "<td class=\"inputz\">";
		$ausdruck .= "<select  class=\"inputz\" name=\"".$fieldname."\" size=\"1\" >";		
		$ausdruck .="<option value='0'". $sel[0].">"._EVENTS_TIME_NONE."</option>";
		$ausdruck .="<option value='1'". $sel[1].">"._EVENTS_TIME_START."</option>";
		$ausdruck .="<option value='3'". $sel[3].">"._EVENTS_TIME_ALL."</option>";
		$ausdruck .="<option value='2'". $sel[2].">"._EVENTS_TIME_END."</option>";
		  
		$ausdruck .="</select>";
		$ausdruck .="</td>";
		$ausdruck .="<td class=\"tiny\">".$cText."</td>";
		$ausdruck .="</tr>";
		unset ($sel);
		echo $ausdruck;
}

function WS_SelectDeadline($cLegend,$fieldname,$cText,$fpos) 
{
        global $prefix, $currentlang,$module_name, $WSCFG;
		$sel=array(1=>"",2=>"",3=>"",4=>"",5=>"",6=>"",7=>"",8=>"",9=>"",10=>"",0=>"");
		$sel[$fpos]=" selected=\"selected\"";
		$ausdruck = "<tr>";
		$ausdruck .= "<td class=\"inputz\">".$cLegend."</td>";
		$ausdruck .= "<td class=\"inputz\">";
		$ausdruck .= "<select  class=\"inputz\" name=\"".$fieldname."\" size=\"1\" >";		
		$ausdruck .="<option value='0'". $sel[0].">"._EVENTS_DEADLINE_NONE."</option>";
		$ausdruck .="<option value='1'". $sel[1].">"._EVENTS_DEADLINE_DATE."</option>";
		$ausdruck .="<option value='2'". $sel[2].">"._EVENTS_DEADLINE_EVER."</option>";
		  
		$ausdruck .="</select>";
		$ausdruck .="</td>";
		$ausdruck .="<td class=\"inputtiny\">".$cText."</td>";
		$ausdruck .="</tr>";
		unset ($sel);
		echo $ausdruck;
}

function WS_SelectEventRollBack($cLegend,$fieldname,$fpos,$cText) 
{
        global $prefix, $currentlang,$module_name, $WSCFG;
		$sel=array(1=>"",2=>"",3=>"",4=>"",5=>"",6=>"",7=>"",8=>"",9=>"",10=>"",11=>"");
		$sel[$fpos]=" selected=\"selected\"";
		$ausdruck = "<tr>";
		$ausdruck .= "<td class=\"inputz\">".$cLegend."</td>";
		$ausdruck .= "<td class=\"inputz\">";
		$ausdruck .= "<select  class=\"inputz\" name=\"".$fieldname."\" size=\"1\" >";
		
		$ausdruck .="<option value='1'". $sel[1].">"._ERD_DAYLY."</option>";
		$ausdruck .="<option value='2'". $sel[2].">"._ERD_WEEKLY."</option>";
		//$ausdruck .="<option value='3'". $sel[3].">"._ERD_2WEEKLY."</option>";
		$ausdruck .="<option value='4'". $sel[4].">"._ERD_MONTHLY."</option>";
		$ausdruck .="<option value='5'". $sel[5].">"._ERD_2MONTHLY."</option>";
		$ausdruck .="<option value='6'". $sel[6].">"._ERD_QUARTERLY."</option>";
		$ausdruck .="<option value='7'". $sel[7].">"._ERD_SEMI."</option>";
		$ausdruck .="<option value='8'". $sel[8].">"._ERD_ANNUALLY."</option>";
		  
		$ausdruck .="</select>";
		$ausdruck .="</td>";
		$ausdruck .="<td class=\"inputtiny\">".$cText."</td>";
		$ausdruck .="</tr>";
		unset ($sel);
		return $ausdruck;
}


function WS_SelectSection($cLegend,$fieldname,$fpos,$cText,$ok=true) 
{
        global $prefix, $currentlang,$module_name, $WSCFG;
		$pub="";
		if ($ok==false) $pub=" where published=1 ";
		$result = sql_query("SELECT secid, title from ".TABLE_SECTIONS." ".$pub." order by secid asc") ;
		$ausdruck = "<tr>";
		$ausdruck .= "<td class=\"inputz\">".$cLegend."</td>";
		$ausdruck .= "<td class=\"inputz\">";
		$ausdruck .= "<select  class=\"inputz\" name=\"".$fieldname."\" size=\"1\" >";
		
		while ($mycat = sql_fetch_assoc($result)) {
         $sel="";
		 if ($mycat['secid']== intval($fpos)) $sel=" selected=\"selected\"";         
		  $ausdruck .="<option value='".$mycat['secid']."'". $sel.">".$mycat['title']."</option>";
		}
		$ausdruck .="</select>";
		$ausdruck .="</td>";
		$ausdruck .="<td class=\"inputtiny\">".$cText."</td>";
		$ausdruck .="</tr>";
		return $ausdruck;
}



function WS_SelectCategory($cLegend,$fieldname,$fpos,$cText,$secid,$noCat=0) 
{
        global $prefix, $currentlang,$module_name, $WSCFG;
		
		$result = sql_query("SELECT catid, title, parentid from ".TABLE_CATEGORY." where secid=$secid order by parentid asc") ;
		$ausdruck = "<tr>";
		$ausdruck .= "<td class=\"inputz\">".$cLegend."</td>";
		$ausdruck .= "<td class=\"inputz\">";
		$ausdruck .= "<select class=\"inputz\" name=\"".$fieldname."\" size=\"1\" ><option value=\"0\" >"._CATAGORY_INDEX."</option>";
		
		while ($mycat = sql_fetch_assoc($result)) {
         $sel="";
		 if ($mycat['catid']== intval($fpos)) $sel=" selected=\"selected\"";
		   
		   $pathway=WS_getCategoryTitle($mycat['catid'],$noCat);
          
		  if ($mycat['catid'] != $noCat && $pathway !='' ) $ausdruck .="<option value='".$mycat['catid']."'". $sel.">".$pathway."</option>";
		}
		$ausdruck .="</select>";
		$ausdruck .="</td>";
		$ausdruck .="<td class=\"inputtiny\">".$cText."</td>";
		$ausdruck .="</tr>";
		return $ausdruck;
}

function WS_getCategoryTitle($cid=0,$noCat=0,$secid=0)
{
        global $prefix, $currentlang,$module_name, $WSCFG;
		
		if ($cid==0 || $cid==$noCat ) return ;
		
		$csec=($secid>0) ?" and secid=$secid":"";
		
		$result = sql_query("SELECT catid, title, parentid from ".TABLE_CATEGORY." where catid ='".$cid."' ".$csec) ;
		list($cid,$title,$parentid)=sql_fetch_array($result);
		
	
		if ($parentid != $noCat) {
		
		      $temp=WS_getCategoryTitle($parentid,$noCat);
		      $title=$temp."&nbsp;&raquo;&nbsp;".$title;
			} else {
				  return $title;
		}

	  return $title;

}
function WS_getSectionTitle($secid)
{
        global $prefix, $currentlang,$module_name, $WSCFG;
		
		$result = sql_query("SELECT title from ".TABLE_SECTIONS." where secid ='".$secid."'") ;
		list($title)=sql_fetch_array($result);
		
	  return $title;

}
function WS_getSectionPath($secid)
{
        global $prefix, $currentlang,$module_name, $WSCFG;
		
		$result = sql_query("SELECT title from ".TABLE_SECTIONS." where secid ='".$secid."'") ;
		list($title)=sql_fetch_array($result);
		$ctitle="<a href='modules.php?name=$module_name&amp;secid=$secid'>".$title."</a>";
		unset($result);
	  return $ctitle;

}

function WS_getSectionConfig($secid)
{
        global $prefix, $currentlang,$module_name, $WSCFG;
		
		$result = sql_query("SELECT config from ".TABLE_SECTIONS." where secid ='".$secid."'") ;
		$mysec=sql_fetch_assoc($result);
		$config=unserialize($mysec['config']);
		unset($result);
		
	  return $config;

}

function WS_getCategoryPath($cid=0,$noCat=0)
{
        global $prefix, $currentlang,$module_name, $WSCFG;
		
		if ($cid==0 || $cid==$noCat ) return ;
		
		$result = sql_query("SELECT catid, title, parentid from ".TABLE_CATEGORY." where catid ='".$cid."'") ;
		list($cid,$title,$parentid)=sql_fetch_array($result);
		
	    if ($parentid != $noCat) {
		
		      $temp=WS_getCategoryPath($parentid,$noCat);
		      $title=$temp."&nbsp;&raquo;&nbsp;<a href='modules.php?name=$module_name&amp;cat=$cid'>".$title."</a>";
			} else {
				  return "";
		}
		unset($result);

	  return $title;

}
function ws_getCategory($cid=0,$noCat=0)
{
        global $prefix, $currentlang,$module_name, $WSCFG;
		
		
		$result = sql_query("SELECT * from ".TABLE_CATEGORY." where catid ='".$cid."'") ;
		$mycat=sql_fetch_array($result);
		
		unset($result);

	  return $mycat;

}
function ws_getSection($secid)
{
    global $module_name,$WSCFG;
	$img="";
	$result=sql_query("select * from ".TABLE_SECTIONS." where secid=$secid");
	$sec=sql_fetch_assoc($result);
	
	return $sec;
}

function ws_getSectionIcon($secid)
{
    global $module_name,$WSCFG;
	$img="";
	$result=sql_query("select thumb_url from ".TABLE_SECTIONS." where secid=$secid");
	list($thumb_url)=sql_fetch_array($result);
	if(is_file($WSCFG['SET_ICONPATH'].$thumb_url)) $img=mxCreateImage($WSCFG['SET_ICONPATH'].$thumb_url);
	return $img;
}
function ws_getSectionIconName($secid)
{
    global $module_name,$WSCFG;
	$img="";
	$result=sql_query("select thumb_url from ".TABLE_SECTIONS." where secid=$secid");
	list($thumb_url)=sql_fetch_array($result);
	if(is_file($WSCFG['SET_ICONPATH'].$thumb_url)) $img=$WSCFG['SET_ICONPATH'].$thumb_url;
	return $img;
}

function ws_getadminmail($mailadress)
{
    global $module_name,$WSCFG,$mxConf;
         $pppuser="";
		 $host="";
		 $maila=$mxConf['adminmail'];
		 $count=substr_count($mailadress,"@");
		if ($count ==1) {
			 @list($pppuser, $host)=explode("@", $mailadress);
			 if ($pppuser!="" and $host!="") {
			  if (function_exists('checkdnsrr')) {
			     $maila= (!(checkdnsrr( $host, "MX") or checkdnsrr($host,"A")))? $mxConf['adminmail']:$mailadress;
			  } else {
			     $maila=$mailadress;
			  }
			 }  
		 }
	 
     return $maila;
}

function ws_getWeek($tstamp)
{
   global $WSCFG;
   $rettime="";
   
	   switch ($WSCFG['CALCWEEK']){
		  case 0: $rettime= "%V";
			break;
		  case 1: $rettime= "%U";
			break;
		  case 2: $rettime= "%W";
			break;
			
	   }
		 return strftime ($rettime,$tstamp);
}
function ws_getWeekYear($tstamp)
{
   global $WSCFG;
   $rettime="";
   switch ($WSCFG['CALCWEEK']){
      case 0: $rettime= "%V/%g";
	    break;
      case 1: $rettime= "%U/%g";
	    break;
      case 2: $rettime= "%W/%g";
	    break;
	    
	   }
		 return strftime ($rettime,$tstamp);
}

function ws_getDate ($tstamp) 
{
     return mx_strftime ('%d.%m.%y',$tstamp);
}
function ws_getDateTime ($tstamp) 
{
     return mx_strftime ('%d.%m.%y  %H:%M',$tstamp);
}
function ws_getTime ($tstamp) 
{
     return mx_strftime ('%H:%M',$tstamp);
}
function ws_getHour ($tstamp) 
{
     return strftime ('%H',$tstamp);
}
function ws_getMinute ($tstamp) 
{
     return strftime ('%m',$tstamp);
}
function ws_getDay ($tstamp) 
{
     return strftime ('%d',$tstamp);
}
function ws_getMonth ($tstamp) 
{
     return strftime ('%M',$tstamp);
}
function ws_getYear ($tstamp) 
{
     return strftime ('%y',$tstamp);
}
function ws_setTimeStamp ($day,$month,$year,$hour=0,$minut=0)
{
     return mktime($hour,$minut,0,$month,$day,$year);
}


function imgGoogleMap ($company,$zipcode,$adress,$city,$state,$zoom=15) {
   global $WSCFG;
   
   $tcompany=utf8_encode($company);
   $tzipcode="";//htmlspecialchars($zipcode);
   $tadress=utf8_encode($adress);
   $tcity=utf8_encode($city);
   $tstate=utf8_encode($state);
    $img="http://maps.google.com/maps/api/staticmap?center=".$tcity.",".$adress.",".$tstate.
 		"&amp;zoom=$zoom&amp;size=".$WSCFG['GOOLEMAPSSIZE']."x".$WSCFG['GOOLEMAPSSIZE']."&amp;maptype=roadmap&amp;markers=color:blue|label:O|11211|11206|11222|".$tadress."+".$tcity."+".$tstate."&amp;sensor=false";
		
	return $img;
}
function linkToGoogleMap ($company,$zipcode,$adress,$city,$state,$zoom=15) {
   global $WSCFG;
   
   $tcompany=utf8_encode($company);
   $tzipcode="";//htmlspecialchars($zipcode);
   $tadress=utf8_encode($adress);
   $tcity=utf8_encode($city);
   $tstate=",".utf8_encode($state);
    $img="http://maps.google.de/maps?f=q&amp;source=s_q&amp;hl=de&amp;geocode=&amp;q=".$tcity.",".$adress.$tstate."";
		
	return $img;
}

function WS_loadConfig() {
   global $WSCFG;
   include ('modules'.DS.MX_MODULE.DS.'config.php');
}

function ws_SetupConfig(){
    global $WSCFG, $bgcolor1, $bgcolor2, $bgcolor3;
	$feldnamen=SetupFieldnames();
	
	foreach ($feldnamen as $key => $value) {
	  $config['FIELD'][$key]['NAME']=$value;
	  $config['FIELD'][$key]['STATUS']=0;
	}
	
	$config['SECTIONS_COLOR']=$bgcolor3;
	$config['SECTIONS_VIEW']=0;
	$config['SECTIONS_ICON']=0;
    foreach ($_POST as $key =>$value) {
	   $config[$key]=$value;
	}

    if (isset($_POST['FIELDS'])) {
	   foreach ($_POST['FIELDS'] as $key =>$i ) {
	        if (isset($_POST['FIELDS'][$key])) {
			  if (!empty($_POST['FIELDS'][$key]['NAME'])) {
			  $config['FIELD'][$key]=$_POST['FIELDS'][$key];
			  }
			}	
				  	
       }		
    }
			
return $config;
}

function EventSetupConfig() {
    //$config=array();
	$config['JOIN_VIEW']=0;
	$config['JOIN_USER']=0;
	$config['JOIN']=0;
    return $config;
}


function SetupFieldnames(){
    $feldnames=array(
	   'text2'	=> _SECTIONS_FIELD_TEXT_2,
	   'text3'	=> _SECTIONS_FIELD_TEXT_3,
	   'moderator'	=> _SECTIONS_FIELD_MODERATOR ,
	   'organizer'	=> _SECTIONS_FIELD_ORGANIZER  ,
	   'state'	=> _SECTIONS_FIELD_STATE  ,
	   'city'	=> _SECTIONS_FIELD_CITY  ,
	   'zipcode'	=> _SECTIONS_FIELD_ZIPCODE  ,
	   'adress'	=> _SECTIONS_FIELD_ADRESS  ,
	   'telephon'	=> _SECTIONS_FIELD_TELEPHON  ,
	   'telfax'	=> _SECTIONS_FIELD_TELEFAX  ,
	   'vcontact'	=> _SECTIONS_FIELD_VCONTACT  ,
	   'homepage'	=> _SECTIONS_FIELD_HOMEPAGE  ,
	   'maplink'	=> _SECTIONS_FIELD_MAPLINK  ,
	   'price'	=> _SECTIONS_FIELD_PRICE  ,
	   'tax'	=> _SECTIONS_FIELD_TAX  ,
	   'F001'	=> _SECTIONS_FIELD_FELD1  ,
	   'F002'	=> _SECTIONS_FIELD_FELD2  ,
	   'F003'	=> _SECTIONS_FIELD_FELD3  ,
	   'F004'	=> _SECTIONS_FIELD_FELD4  ,
	   'F005'	=> _SECTIONS_FIELD_FELD5  ,
	   
	
	);
/**	   'KEYWORDS'	=> _SECTIONS_FIELD_KEYWORDS  ,
	   'STARTDATE'	=> _SECTIONS_FIELD_STARTDATE  ,
	   'STARTTIME'	=> _SECTIONS_FIELD_STARTTIME  ,
	   'ENDDATE'	=> _SECTIONS_FIELD_ENDDATE  ,
	   'ENDTIME'	=> _SECTIONS_FIELD_ENDTIME  ,
	   'DEADLINE'	=> _SECTIONS_FIELD_DEADLINE  ,

*/
    return $feldnames;
}



function WS_Copyright() {
   echo "<br /><br /><br />";
   echo "<div class='align-right tiny'><br /><a href='http://www.tecmu.de' 
   target=\"_blank\" title=\"mxSchedule by Tecmu.de\">&copy; &Dagger;tp&Dagger;</a><br /></div>";
}


function WS_HeaderAdd($c="")
{
   if (!empty($c))  pmxHeader::add($c); 
   return;
}



function WS_Header($ext_title="")
{
  include ("header.php");
  ws_addCss();
  ws_isHome();
  if (!empty($ext_title)) $ext_title=" - ".$ext_title;
  title(MX_MODULE.$ext_title);

}

function WS_Footer() 
{
	OpenTable();
	echo "<hr />";
	ws_goHomeBACK();
    CloseTable();
    include("footer.php");

}

function ws_events_publish ($eid)
{
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG, $fieldset_names;
		    $result=sql_query("update ".TABLE_EVENTS." set publish='1' where eid=$eid");
		    $result=sql_query("update ".TABLE_EVENTS." set publish='1' where parentid=$eid");
			
		    $result=sql_query("select reminder,reported from ".TABLE_EVENTS."  where eid=$eid  ");
			list($reminder,$reported)=sql_fetch_array($result);
			if ($reminder==1 and $reported==0) {
			   ws_mail_eventpublish ($eid);
		       $result2=sql_query("update ".TABLE_EVENTS." set reported='1' where parentid=$eid");
			}  

}
function ws_events_unpublish ($eid)
{
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG, $fieldset_names;
		    $result=sql_query("update ".TABLE_EVENTS." set publish='0' where eid=$eid");
		    $result=sql_query("update ".TABLE_EVENTS." set publish='0' where parentid=$eid");

}

function ws_isMaxEvents($uid){
    global  $WSCFG;
	
	$result=sql_query("select count(eid) from ".TABLE_EVENTS." where userid=$uid ");
	list($count)=sql_fetch_row($result);
	
	if ($count< $WSCFG['SET_MAXEVENTS'] or MX_IS_ADMIN) return true;

	return false;

}

function ws_isUserGroup(){
    global  $WSCFG;

	switch($WSCFG['SET_USERGROUP']){
	  case 0:
	   
	  break;
	  case 1:
	     if (!MX_IS_USER) mxErrorScreen(_GROUPRESTRICTEDAREA);
		 break;
	  case 2:
	     if (!MX_IS_ADMIN) mxErrorScreen(_MODULESADMINS);
		 break;
	}
	return true;

}



function ws_isUserGroupBool(){
    global  $WSCFG;

	switch($WSCFG['SET_USERGROUP']){
	  case 0:
	   
	  break;
	  case 1:
	     if (!MX_IS_USER) return false;
		 break;
	  case 2:
	     if (!MX_IS_ADMIN) return false;
		 break;
	}
	return true;

}
function ws_isEvent ($eid)
{
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG, $fieldset_names;
	
	    if ($eid>0 ) {
		    $result=sql_query("select eid,secid,catid,privat,publish from ".TABLE_EVENTS." where eid=$eid limit 1");
            list($ceid,$secid,$catid,$private,$publish)=sql_fetch_array($result);
			
			if ($ceid != $eid ) {
			    mxErrorScreen(_PAGESNOTFOUND);
			}
			
			if ($private==1 and MX_IS_USER) {
			  return;
			}
			if (!ws_isCategoryReady ($catid)) {
			    mxErrorScreen(_ACCESSDENIED);
			}
		}
}
function ws_isMyEvent ($eid)
{
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG, $fieldset_names;
	
	     if (ws_isAdmin()) return true;
	
	    if ($eid>0 ) {
		    $result=sql_query("select eid,secid,catid,userid from ".TABLE_EVENTS." where eid=$eid limit 1");
            list($ceid,$secid,$catid,$userid)=sql_fetch_array($result);
			
			if ($ceid != $eid)  {
			    mxErrorScreen(_PAGESNOTFOUND);
			}
			$user=mxGetUserData();
			if ($user['uid']<> $userid) mxErrorScreen(_GROUPRESTRICTEDAREA);
			
			if (!ws_isCategoryReady ($catid)) {
			    mxErrorScreen(_ACCESSDENIED);
			}
			if ($user['uid']==$userid) {
			  return true;
			}
		}
		return false;
}

function ws_isMyEventBool ($eid)
{
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG, $fieldset_names;
	
	     if (ws_isAdmin()) return true;
	
	    if ($eid>0 ) {
		    $result=sql_query("select eid,secid,catid,userid from ".TABLE_EVENTS." where eid=$eid limit 1");
            list($ceid,$secid,$catid,$userid)=sql_fetch_array($result);
			
			if ($ceid != $eid)  {
			   return false;
			}
			$user=mxGetUserData();
			if ($user['uid']<> $userid) return false;
			
			if (!ws_isCategoryReady ($catid)) {
			    return false;
			}
			if ($user['uid']==$userid) {
			  return true;
			}
		}
		return false;
}


function ws_isCategory ($cid)
{
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG, $fieldset_names;
	
	    if ($cid>0 ) {
		    $result=sql_query("select catid from ".TABLE_CATEGORY." where catid=$cid limit 1");
            list($ceid)=sql_fetch_array($result);
			
			if ($ceid != $cid) {
			
			    mxErrorScreen(_PAGESNOTFOUND);
			}
		}	  
}
function ws_isCategoryBool ($cid)
{
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG, $fieldset_names;
	
	    if ($cid>0 ) {
		    $result=sql_query("select catid from ".TABLE_CATEGORY." where catid=$cid limit 1");
            list($ceid)=sql_fetch_row($result);
			
			if ($ceid != $cid) {
			    return false;
			} else {
			return true;
			}
		} else {
		   return false;
		}	  
}

function ws_isCategoryReady ($cid)
{
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG, $fieldset_names;
	
	    if ($cid>0 ) {
		    $result=sql_query("select catid, secid from ".TABLE_CATEGORY." where catid=$cid limit 1");
            list($ceid,$secid)=sql_fetch_row($result);
			
			if ($ceid == $cid and ws_isSectionReady ($secid)) {
			    return true;
			} else {
			return false;
			}
		} else {
		   return false;
		}	  
}

function ws_isSection ($sid)
{
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG, $fieldset_names;
	
	    if ($sid>0 ) {
		    $result=sql_query("select secid from ".TABLE_SECTIONS." where secid=$sid");
            list($ceid)=sql_fetch_array($result);
			
			if ($ceid != $sid) {
			    mxErrorScreen(_PAGESNOTFOUND);
			
			}
		}	  
}

function ws_isSectionBool ($sid)
{
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG, $fieldset_names;
	
	    if ($sid>0 ) {
		    $result=sql_query("select secid from ".TABLE_SECTIONS." where secid=$sid");
            list($ceid)=sql_fetch_row($result);
			
			if ($ceid == $sid) {
			    return true;
			} else {
			return false;
			}
		} else {
		   return false;
		}	  
}

function ws_isSectionReady ($sid)
{
    global $prefix, $currentlang,$module_name, $bgcolor1, $bgcolor2, $bgcolor3, $WSCFG, $fieldset_names;
	
	    if ($sid>0 ) {
		    $result=sql_query("select secid, published from ".TABLE_SECTIONS." where secid=$sid");
            list($ceid,$published)=sql_fetch_row($result);
			
			if ($ceid != $sid ) return false;
			
			if ($published==0 and !MX_IS_ADMIN ) return false;
			
			return true;
			
		} else {
		   return false;
		}	  
}

?>